#%set_verify_elf_method skip

Name: panasonic-mccgdi
Version: 2.0.10
Release: %mkrel 1
License: distributable
Group: System/Configuration 
Summary: Panasonic Printer Driver for Linux

URL: https://panasonic.net/cns/pcc/support/fax/common/table/linuxdriver.html

Packager: Anton Shevtsov <shevtsov.anton@gmail.com>
Source: mccgdi-%version-x86_64.tar.gz
Requires: lib64gs9

%description
Linux Driver Download for the following Panasonic Multi-Function Printers

%prep
%setup -n mccgdi-%version-x86_64

%install

mkdir -p %buildroot/%_libexecdir/cups/filter/

mkdir -p %buildroot/%_datadir/cups/model/panasonic/

mkdir -p %buildroot/usr/local/share/panasonic/printer/{data,bin}

mkdir -p %buildroot/usr/local/share/panasonic/printer/data/{es,it,pt,en,fr,de,cs_CZ,pl,ru,zh_CN,ja,zh_TW,pt_PT}

mkdir -p %buildroot/%_desktopdir 

cp -a panautil/L_H0JDUIZAZ.desktop %buildroot/%_desktopdir/L_H0JDUIZAZ.desktop
chmod 644 %buildroot/%_desktopdir/L_H0JDUIZAZ.desktop

cp -a panautil/{L_H0JDUCZAZ,L_H0JDUIZAZ,L_H0JDUIZAZ.png} %buildroot/usr/local/share/panasonic/printer/bin/
chmod 4755 %buildroot/usr/local/share/panasonic/printer/bin/L_H0JDUCZAZ
chmod 0775 %buildroot/usr/local/share/panasonic/printer/bin/L_H0JDUIZAZ

cp -a filter/L_H0JDGCZAZ %buildroot/%_libexecdir/cups/filter/
chmod +x %buildroot/%_libexecdir/cups/filter/

cd lib/
ln -s L_H0JDJCZAZ_2.so.1 L_H0JDJCZAZ_2.so
ln -s L_H0JDJCZAZ_2.so.1.0.0  L_H0JDJCZAZ_2.so.1
ln -s L_H0JDJCZAZ.so.1 L_H0JDJCZAZ.so
ln -s L_H0JDJCZAZ.so.1.0.0  L_H0JDJCZAZ.so.1
cd ../

cp -a lib/* %buildroot/%_libexecdir/

cp -a ppd/* %buildroot/%_datadir/cups/model/panasonic/

cp -ar data/* %buildroot/usr/local/share/panasonic/printer/data/

%post
mkdir -p /var/spool/.panamfs
chmod 777 /var/spool/.panamfs

%files
%attr(0755 root root) "%_libexecdir/*.so.*"
%doc Version.html
%_desktopdir/L_H0JDUIZAZ.desktop
%_libexecdir/cups/filter/*
%_libexecdir/L_*
/usr/local/share/panasonic/*
%_datadir/cups/model/panasonic/*


%changelog
* Sat May 27 2023 adrianomorselli <dev@ufficiozero.org> 2.0.10-1ufficiozero2023
- rebuilded for UZL

* Wed Jan 18 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 2.0.10-alt1
  Reassembly from official tgz
